Debugging &homalg;

Beside the &GAP; builtin debugging facilities (&see; ) &homalg; provides two ways to debug the computations.

Increase the assertion level

&homalg; comes with numerous builtin assertion checks. They are activated if the user increases the assertion level using
SetAssertionLevel
( level );

(&see; ), where level is one of the values below:

level
description
0
no assertion checks whatsoever
1
high
-level homological assertions are checked
2
mid
-level homological assertions are checked
3
low
-level homological assertions are checked
4
assertions about basic matrix operations are checked (&see; Appendix )
(these are among the operations often delegated to external systems)

In particular, if &homalg; delegates matrix operations to an external system then SetAssertionLevel( 4 ); can be used to let &homalg; debug the external system.
<#Include Label="asserts">

Use homalgMode
<#Include Label="homalgMode">